<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::ScopedMessage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1ScopedMessage.html">ScopedMessage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classCatch_1_1ScopedMessage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::ScopedMessage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::ScopedMessage:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1ScopedMessage__coll__graph.png" border="0" usemap="#Catch_1_1ScopedMessage_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1ScopedMessage_coll__map" id="Catch_1_1ScopedMessage_coll__map">
<area shape="rect" title=" " alt="" coords="85,184,257,211"/>
<area shape="rect" href="structCatch_1_1MessageInfo.html" title=" " alt="" coords="95,95,246,121"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="5,5,168,32"/>
<area shape="rect" href="classCatch_1_1StringRef.html" title=" " alt="" coords="193,5,319,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5cc59f0f2ebe840e6607f83004d49a17"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#a5cc59f0f2ebe840e6607f83004d49a17">ScopedMessage</a> (<a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> const &amp;builder)</td></tr>
<tr class="separator:a5cc59f0f2ebe840e6607f83004d49a17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fe2e79afdfd737818c15edfc49f378e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#a5fe2e79afdfd737818c15edfc49f378e">ScopedMessage</a> (<a class="el" href="classCatch_1_1ScopedMessage.html">ScopedMessage</a> &amp;duplicate)=delete</td></tr>
<tr class="separator:a5fe2e79afdfd737818c15edfc49f378e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac833a6a2245a26e6bd5c9252ca1caa0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#aac833a6a2245a26e6bd5c9252ca1caa0">ScopedMessage</a> (<a class="el" href="classCatch_1_1ScopedMessage.html">ScopedMessage</a> &amp;&amp;old)</td></tr>
<tr class="separator:aac833a6a2245a26e6bd5c9252ca1caa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43190843f9eeb84a0b42b0bc95fdf93a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#a43190843f9eeb84a0b42b0bc95fdf93a">~ScopedMessage</a> ()</td></tr>
<tr class="separator:a43190843f9eeb84a0b42b0bc95fdf93a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cc59f0f2ebe840e6607f83004d49a17"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#a5cc59f0f2ebe840e6607f83004d49a17">ScopedMessage</a> (<a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> const &amp;builder)</td></tr>
<tr class="separator:a5cc59f0f2ebe840e6607f83004d49a17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fe2e79afdfd737818c15edfc49f378e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#a5fe2e79afdfd737818c15edfc49f378e">ScopedMessage</a> (<a class="el" href="classCatch_1_1ScopedMessage.html">ScopedMessage</a> &amp;duplicate)=delete</td></tr>
<tr class="separator:a5fe2e79afdfd737818c15edfc49f378e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac833a6a2245a26e6bd5c9252ca1caa0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#aac833a6a2245a26e6bd5c9252ca1caa0">ScopedMessage</a> (<a class="el" href="classCatch_1_1ScopedMessage.html">ScopedMessage</a> &amp;&amp;old)</td></tr>
<tr class="separator:aac833a6a2245a26e6bd5c9252ca1caa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43190843f9eeb84a0b42b0bc95fdf93a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#a43190843f9eeb84a0b42b0bc95fdf93a">~ScopedMessage</a> ()</td></tr>
<tr class="separator:a43190843f9eeb84a0b42b0bc95fdf93a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae6e1476f389cc6e1586f033b3747b27b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#ae6e1476f389cc6e1586f033b3747b27b">m_info</a></td></tr>
<tr class="separator:ae6e1476f389cc6e1586f033b3747b27b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fe5607c1f7407240a0da8405b1c12e7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ScopedMessage.html#a4fe5607c1f7407240a0da8405b1c12e7">m_moved</a></td></tr>
<tr class="separator:a4fe5607c1f7407240a0da8405b1c12e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5cc59f0f2ebe840e6607f83004d49a17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cc59f0f2ebe840e6607f83004d49a17">&#9670;&nbsp;</a></span>ScopedMessage() <span class="overload">[1/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ScopedMessage::ScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> const &amp;&#160;</td>
          <td class="paramname"><em>builder</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5fe2e79afdfd737818c15edfc49f378e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fe2e79afdfd737818c15edfc49f378e">&#9670;&nbsp;</a></span>ScopedMessage() <span class="overload">[2/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ScopedMessage::ScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1ScopedMessage.html">ScopedMessage</a> &amp;&#160;</td>
          <td class="paramname"><em>duplicate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aac833a6a2245a26e6bd5c9252ca1caa0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac833a6a2245a26e6bd5c9252ca1caa0">&#9670;&nbsp;</a></span>ScopedMessage() <span class="overload">[3/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ScopedMessage::ScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1ScopedMessage.html">ScopedMessage</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>old</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a43190843f9eeb84a0b42b0bc95fdf93a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43190843f9eeb84a0b42b0bc95fdf93a">&#9670;&nbsp;</a></span>~ScopedMessage() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ScopedMessage::~ScopedMessage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5cc59f0f2ebe840e6607f83004d49a17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5cc59f0f2ebe840e6607f83004d49a17">&#9670;&nbsp;</a></span>ScopedMessage() <span class="overload">[4/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ScopedMessage::ScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1MessageBuilder.html">MessageBuilder</a> const &amp;&#160;</td>
          <td class="paramname"><em>builder</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5fe2e79afdfd737818c15edfc49f378e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fe2e79afdfd737818c15edfc49f378e">&#9670;&nbsp;</a></span>ScopedMessage() <span class="overload">[5/6]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ScopedMessage::ScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1ScopedMessage.html">ScopedMessage</a> &amp;&#160;</td>
          <td class="paramname"><em>duplicate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aac833a6a2245a26e6bd5c9252ca1caa0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac833a6a2245a26e6bd5c9252ca1caa0">&#9670;&nbsp;</a></span>ScopedMessage() <span class="overload">[6/6]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ScopedMessage::ScopedMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classCatch_1_1ScopedMessage.html">ScopedMessage</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>old</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a43190843f9eeb84a0b42b0bc95fdf93a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43190843f9eeb84a0b42b0bc95fdf93a">&#9670;&nbsp;</a></span>~ScopedMessage() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ScopedMessage::~ScopedMessage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae6e1476f389cc6e1586f033b3747b27b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6e1476f389cc6e1586f033b3747b27b">&#9670;&nbsp;</a></span>m_info</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1MessageInfo.html">MessageInfo</a> Catch::ScopedMessage::m_info</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4fe5607c1f7407240a0da8405b1c12e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fe5607c1f7407240a0da8405b1c12e7">&#9670;&nbsp;</a></span>m_moved</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Catch::ScopedMessage::m_moved</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
